--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: ([])
comment: 
- !ruby/struct:SM::Flow::P 
  body: Permutation provids the possible orders of an enumerable. Each is indexed by a permutation number. The maximum number of arrangements is the factorial of the size of the array.
- !ruby/struct:SM::Flow::P 
  body: "CREDIT: Shin-ichiro Hara"
full_name: Array#permutation
is_singleton: false
name: permutation
params: (n=size) {|[]| ...}
visibility: public
